Resource Center/Network Resource/L3 Network Operations
DELETEL3 Network OperationsSince 5.1.0SynchronousAuth Required
DeleteReservedIpRange
DeleteReservedIpRange
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
deleteModeStringOptional. The delete mode. (Permissive / Enforcing,Permissive)
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
DELETE endpoints return an empty object on success, or a standard error structure on failure.
Success Response
{}Error Response
{
"error": {
"code": "SYS.1001",
"description": "A message or a operation timeout",
"details": "Delete resource timeout after 300s"
}
}Endpoint
DELETE/zstack/v1/l3-networks/reserved-ip-ranges/{uuid}
/zstack/v1/l3-networks/reserved-ip-ranges/{uuid}
Request Example
curl -X DELETE 'http://{host}/zstack/v1/l3-networks/reserved-ip-ranges/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
